//
// Created by sebastian on 02.08.26.
//

#ifndef COLORRACE_INPUTCONTEXT_H
#define COLORRACE_INPUTCONTEXT_H


namespace engine {
    class InputContext {
    public:
        virtual ~InputContext() = default;
        virtual void onActivate() {};
        virtual void onDeactivate() {};
    };

}

#endif //COLORRACE_INPUTCONTEXT_H
